class_device_destroy
Prev | Device Drivers Base | Next

## Name

class_device_destroy — removes a class device that was created with `class_device_create`

## Synopsis

`void class_device_destroy (` | struct class * | cls,
| dev_t | devt`)`;

## Arguments

`cls`

  the pointer to the struct class that this device was registered * with.

`devt`

  the dev_t of the device that was previously registered.

## Description

This call unregisters and cleans up a class device that was created with a call to `class_device_create`

Prev | Up | Next
class_device_create | Home | request_firmware